Bug 36939 - [0.8-2] libnspr4.so unresolved symbols
[0.8-2] libnspr4.so unresolved symbols
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2001-04-20 19:23 EDT by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-23 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-04-20 19:23:53 EDT
When trying to compile kdebindings or anything else that links against 
mozilla-devel's libnspr4, it complains about unresolved symbols stat and 
fstat in /usr/lib/mozilla/libnspr4.so
Comment 1 Christopher Blizzard 2001-04-21 12:27:34 EDT
Is that 0.8-2 or 0.8.1-2?  0.8.1-2 should link those libraries with -lc which
should fix the problem.
Comment 2 Bernhard Rosenkraenzer 2001-04-21 18:37:48 EDT
I'm talking about 0.8-2, which is the latest version that has been compiled 
into the 7.2 tree.
If 0.8.1-2 is ready and fixes this, please build it in the tree - this bug is 
preventing me from finishing the KDE update (kdebindings tries to link with 

Comment 3 Christopher Blizzard 2001-04-21 22:49:10 EDT
I see 0.8-2 in the 7.1.1 tree.  Hey Jonathan, Did you put that in there instead
of the 0.8.1-2 src rpm by any chance?

If someone tells me what the target build tree has to be I would be more than
happy to stuff it in there. ( i.e. dist-7.1, or whatever the equiv is now. )
Comment 4 Bill Nottingham 2001-04-22 01:52:01 EDT
Comment 5 Christopher Blizzard 2001-04-22 14:12:23 EDT
I've been looking at the source rpm for the 0.8.1-2 rpm and I think that I
forget to include the fstat() patch in it.  Whipping up a new one now.  I am a Dork.
Comment 6 Christopher Blizzard 2001-04-23 11:39:12 EDT
OK, 0.8.1-3 is in the 7.1.1 tree which I think might fix your problems.  Please
give it a spin.

Also, if you run into path problems let me know.  I'm working on packaging that
moves libnspr and friends to /usr/lib where they really should be.  I should be
able to adapt it back to the 0.8.1 tree pretty easily.
Comment 7 Christopher Blizzard 2001-06-09 17:54:37 EDT
Fixed in 0.9.1 which should be in rawhide shortly.  Please check these problems out.

Note You need to log in before you can comment on or make changes to this bug.